/* print_frame_form  */

p {

}

.document-editor {
    margin: 0 0 10px;
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 14pt;
    color: #333;
    background-color: #fff;
    background-image:url(../images/ben_background.jpg);
    background-repeat: repeat-y;
    width: 1000px;
    margin: 10px;
}

.document-editor-textbox {
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-size: 14pt;

}

#pagerDiv table, #pagerDiv tr, #pagerDiv th, #pagerDiv td,  .document-editor table, .document-editor tr, .document-editor th, .document-editor td  {
    border-collapse: collapse;
    margin: 4px 0 4px 0;
    /*background-color: transparent;*/
}

#pagerDiv tr.tablebreak, .document-editor tr.tablebreak {
    page-break-inside:avoid;
    page-break-after:auto
}

#pagerDiv td, .document-editor td {
    padding:5px;
    vertical-align: top;
    page-break-inside: avoid;
}

#pagerDiv h1, .document-editor h1 {
    font-size: 28px;
    font-weight: bold;
    background-color: #e3e3e3;
    padding: 3px 0px;
}

#pagerDiv h2, .document-editor h2 {
    font-size: 23px;
    font-weight: bold;
    background-color: #e3e3e3;
    padding: 3px 0px;
}

#pagerDiv h3, .document-editor h3 {
    font-size: 20px;
    font-weight: bold;
    padding: 3px 0px;
}

#pagerDiv hr, .document-editor hr {
    margin-top: 20px;
    margin-bottom: 20px;
    border: 0;
    border-top: 1px solid #9e8383;
}

#pagerDiv address, .document-editor address {
    margin-bottom: 5px;
}

#pagerDiv .noprint, #pagerDiv .noprint *, .document-editor .noprint, .document-editor .noprint *{
    display: none !important;
    height: 0;
}

#pagerDiv .row, .document-editor .row {
    margin: 0px 0px 5px 0px;
    border: 1px solid transparent;
    border-radius: 4px;
    color: black;
    background-color: ghostwhite;
    border-color: #d6e9c6;
    /*display: flex;*/
}

.tabla_oldal {
    page-break-before: auto;
    page-break-after: auto;
}

.tabla_oldal tr {
    page-break-inside: avoid;
}

@media screen {
    .document-editor .important_string {
        background-color: yellow;
    }

    #pagerDiv .important_string {
        background-color: transparent;

    }

    .document-editor .registration_number {
        background-color: #ff3333;
    }

    #pagerDiv .registration_number {
        background-color: transparent;

    }

    #pagerDiv, .pseudo_input, #pseudo_input  {
        background: lavender;
        border: 1px solid #cccccc;
        padding: 5px 10px;
        margin: 0px;
    }

    .document-editor:hover .pseudo_input:hover, #pagerDiv:hover .pseudo_input:hover {
        background: lavenderblush;
    }

    .MsoFootnoteReference {
        display: none;
    }

    #pagerDiv .pagebreak, .document-editor .pagebreak {
        clear: both;
        background: url("../images/page_break.png") bottom center no-repeat;
        border-top: 1px dotted grey;
        margin: 15px 0px;
    }

    .document-editor td:hover{
        background-color: wheat;
        border: 1px dotted grey;
    }
}

@media print {
    #pagerDiv, .document-editor {
        background-image: none;
    }
    #pagerDiv .important_string, .document-editor .important_string {
        background-color: transparent;
    }
    #pagerDiv .pseudo_input, .document-editor .pseudo_input{
        background:none;
        border: 0px;
        padding: 0px;
        width: auto;
        min-width: initial;
        height: auto;
        display: initial;
    }
    .MsoFootnoteReference {
        display: none;
    }
    .pagebreak {
        clear: both;
        page-break-before: always;
    }
    div.pagebreak {
        clear: both;
        page-break-after: always;

    }
    .hidden-print {
        display: none !important;
    }

    .not-null-field, .trigger-field {
        display: none !important;
    }
}
